summaryrefslogtreecommitdiff
path: root/sign-gnu-artefact
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2017-06-06 14:22:49 +0200
committerFlorian Dold <florian.dold@gmail.com>2017-06-06 14:23:03 +0200
commit3dc9b91e16ccfaac81f2dc696d5ecf6ea7ddf34e (patch)
tree9073ef64dc475bba247377ae83df4ff44a58e8ad /sign-gnu-artefact
parent7b014a39bb700c29c786e8ca06527535f2506b93 (diff)
downloaddeployment-3dc9b91e16ccfaac81f2dc696d5ecf6ea7ddf34e.tar.gz
deployment-3dc9b91e16ccfaac81f2dc696d5ecf6ea7ddf34e.tar.bz2
deployment-3dc9b91e16ccfaac81f2dc696d5ecf6ea7ddf34e.zip
add sign-gnu-artefact helper
Diffstat (limited to 'sign-gnu-artefact')
-rw-r--r--sign-gnu-artefact19
1 files changed, 19 insertions, 0 deletions
diff --git a/sign-gnu-artefact b/sign-gnu-artefact
new file mode 100644
index 0000000..f85db4e
--- /dev/null
+++ b/sign-gnu-artefact
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# Helper script to sign artefacts for upload to the GNU mirrors
+
+name=$1
+if [[ -z "$1" ]]; then
+ echo "Usage: $0 NAME"
+ exit 1
+fi
+
+
+truncate -s0 "${name}.directive"
+
+echo "version: 1.2" >> "${name}.directive"
+echo "directory: taler" >> "${name}.directive"
+echo "filename: ${name}" >> "${name}.directive"
+
+gpg -b "${name}"
+gpg --clearsign "${name}.directive"